{% extends 'base.html' %}
{% load static %}

{% block content %}
<br><h2 style="text-align: center;">Data Buku</h2><br>
<div class="box" style="text-align: center">
    <input id="keyword" placeholder="Masukkan keyword"> 
</div>
<br>
<table class="table table-bordered mx-auto" style="width: 75%; background: #1E3C75; color: white; text-align: center">
    <thead>
    <tr>
        <th>Title</th>
        <th>Author</th>
        <th>Publish Date</th>
    </tr>
    </thead>
    <tbody id="hasil_search">
    </tbody>
</table>
{% endblock content %}


{% block script %}
<script type="text/javascript">
    $("#keyword").keyup(function(){
        var isi = $("#keyword").val();
        var url_panggil = 'https://www.googleapis.com/books/v1/volumes?q=' + isi;
        $.ajax({
            url: url_panggil,
            success: function(hasil){
                console.log(hasil.items);
                var result = $("#hasil_search");
                result.empty();

                for(i = 0; i < hasil.items.length; i++){
                    var title = hasil.items[i].volumeInfo.title;
                    var authors = hasil.items[i].volumeInfo.authors;
                    var date = hasil.items[i].volumeInfo.publishedDate;
                    console.log(title);
                    result.append("<tr> <td>" + title + "</td>" + "<td>" + authors + "</td>" + "<td>" + date + "</td>");
                }
            } 
        })
    })
</script>
{% endblock script %}
